summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec2017-06-06 12:52:11 +0200
committer Willy Sudiarto Raharjo2017-06-10 05:47:37 +0200
commit7140960adb05bdaecf1808a69c3bae56c64f528a (patch)
tree523edb9a269c791d9706075168d9bd6f9a1a08bf
parent2b3d5d2bf497e778ae6707e817fc28ec97dfe792 (diff)
downloadslackbuilds-7140960adb05bdaecf1808a69c3bae56c64f528a.tar.gz
network/skypeforlinux: Added (an instant messaging app).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/skypeforlinux/README8
-rw-r--r--network/skypeforlinux/doinst.sh9
-rw-r--r--network/skypeforlinux/skypeforlinux.SlackBuild74
-rw-r--r--network/skypeforlinux/skypeforlinux.info10
-rw-r--r--network/skypeforlinux/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/network/skypeforlinux/README b/network/skypeforlinux/README
new file mode 100644
index 0000000000..39790a303e
--- /dev/null
+++ b/network/skypeforlinux/README
@@ -0,0 +1,8 @@
+Skype is an instant messaging app that provides online text message and
+video chat services. Users may transmit both text and video messages and
+may exchange digital documents such as images, text, and video. Skype allows
+video conference calls.
+
+This script repackages the Debian package provided by Microsoft.
+
+Currently, only the 64bit version is available.
diff --git a/network/skypeforlinux/doinst.sh b/network/skypeforlinux/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/skypeforlinux/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/skypeforlinux/skypeforlinux.SlackBuild b/network/skypeforlinux/skypeforlinux.SlackBuild
new file mode 100644
index 0000000000..bbfd5f59a3
--- /dev/null
+++ b/network/skypeforlinux/skypeforlinux.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for skypeforlinux
+
+# Copyright 2017 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=skypeforlinux
+VERSION=${VERSION:-5.3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_amd64.deb data.tar.xz | tar -xvJ
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -rf $PKG/opt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/skypeforlinux/LICENSE* $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/skypeforlinux/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/skypeforlinux/skypeforlinux.info b/network/skypeforlinux/skypeforlinux.info
new file mode 100644
index 0000000000..59b5d43925
--- /dev/null
+++ b/network/skypeforlinux/skypeforlinux.info
@@ -0,0 +1,10 @@
+PRGNAM="skypeforlinux"
+VERSION="5.3.0.1"
+HOMEPAGE="https://www.skype.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://repo.skype.com/deb/pool/main/s/skypeforlinux/skypeforlinux_5.3.0.1_amd64.deb"
+MD5SUM_x86_64="c3baf39fd1ee9ab8fd2f94a618bd6d57"
+REQUIRES=""
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/network/skypeforlinux/slack-desc b/network/skypeforlinux/slack-desc
new file mode 100644
index 0000000000..e5a5512b3e
--- /dev/null
+++ b/network/skypeforlinux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+skypeforlinux: skypeforlinux (an instant messaging app)
+skypeforlinux:
+skypeforlinux: Skype is an instant messaging app that provides online text message
+skypeforlinux: and video chat services. Users may transmit both text and video
+skypeforlinux: messages and may exchange digital documents such as images, text, and
+skypeforlinux: video. Skype allows video conference calls.
+skypeforlinux:
+skypeforlinux: Homepage: https://www.skype.com/
+skypeforlinux:
+skypeforlinux:
+skypeforlinux: